using System;
using System.Text;
using System.Collections.Generic;
using NUnit.Framework;
using static Siirra;

	[TestFixture]
	[DefaultFloatingPointTolerance(0.000001)]
	public  class TestSiirra
	{
		[Test]
		public  void TestSiirraKirjaimet398()
		{
			StringBuilder jono = new StringBuilder("kissa istuu");
			Assert.AreEqual( "", SiirraKirjaimet(jono,"",1)    , "in method SiirraKirjaimet, line 400");;
			;
			;
			;
			;
			Assert.AreEqual( "kissa istuu",     jono.ToString() , "in method SiirraKirjaimet, line 400");
			Assert.AreEqual( "", SiirraKirjaimet(jono,"xyz",1) , "in method SiirraKirjaimet, line 401");;
			;
			;
			;
			;
			Assert.AreEqual( "kissa istuu",     jono.ToString() , "in method SiirraKirjaimet, line 401");
			Assert.AreEqual( "", SiirraKirjaimet(jono,"aus",0) , "in method SiirraKirjaimet, line 402");;
			;
			;
			;
			;
			Assert.AreEqual( "kissa istuu",     jono.ToString() , "in method SiirraKirjaimet, line 402");
			Assert.AreEqual( "i", SiirraKirjaimet(jono,"i",1)   , "in method SiirraKirjaimet, line 403");;
			;
			;
			;
			;
			Assert.AreEqual( "kssa istuu",    jono.ToString() , "in method SiirraKirjaimet, line 403");
			Assert.AreEqual( "ss", SiirraKirjaimet(jono,"s",2)   , "in method SiirraKirjaimet, line 404");;
			;
			;
			;
			;
			Assert.AreEqual( "ka istuu",   jono.ToString() , "in method SiirraKirjaimet, line 404");
			Assert.AreEqual( "asu", SiirraKirjaimet(jono,"aus",3) , "in method SiirraKirjaimet, line 405");;
			;
			;
			;
			;
			Assert.AreEqual( "k itu",  jono.ToString() , "in method SiirraKirjaimet, line 405");
			Assert.AreEqual( "iu", SiirraKirjaimet(jono,"iu",3)  , "in method SiirraKirjaimet, line 406");;
			;
			;
			;
			;
			Assert.AreEqual( "k t",   jono.ToString() , "in method SiirraKirjaimet, line 406");
			Assert.AreEqual( " ", SiirraKirjaimet(jono," ",1)   , "in method SiirraKirjaimet, line 407");;
			;
			;
			;
			;
			Assert.AreEqual( "kt",    jono.ToString() , "in method SiirraKirjaimet, line 407");
			Assert.AreEqual( "kt", SiirraKirjaimet(jono,"kt",5)  , "in method SiirraKirjaimet, line 408");;
			;
			;
			;
			;
			Assert.AreEqual( "",   jono.ToString() , "in method SiirraKirjaimet, line 408");
			Assert.AreEqual( "", SiirraKirjaimet(jono,"kt",5)  , "in method SiirraKirjaimet, line 409");;
			;
			;
			;
			;
			Assert.AreEqual( "",     jono.ToString() , "in method SiirraKirjaimet, line 409");
		}
	}

